import request from '@/utils/request'

// 查询营期课程列表
export function listFsUserCoursePeriodDays(query) {
  return request({
    url: '/course/fsUserCoursePeriodDays/list',
    method: 'get',
    params: query
  })
}

// 查询营期课程详细
export function getFsUserCoursePeriodDays(id) {
  return request({
    url: '/course/fsUserCoursePeriodDays/' + id,
    method: 'get'
  })
}

// 新增营期课程
export function addFsUserCoursePeriodDays(data) {
  return request({
    url: '/course/fsUserCoursePeriodDays',
    method: 'post',
    data: data
  })
}

// 修改营期课程
export function updateFsUserCoursePeriodDays(data) {
  return request({
    url: '/course/fsUserCoursePeriodDays',
    method: 'put',
    data: data
  })
}

// 删除营期课程
export function delFsUserCoursePeriodDays(id) {
  return request({
    url: '/course/fsUserCoursePeriodDays/' + id,
    method: 'delete'
  })
}

// 导出营期课程
export function exportFsUserCoursePeriodDays(query) {
  return request({
    url: '/course/fsUserCoursePeriodDays/export',
    method: 'get',
    params: query
  })
}